#include <stdio.h>
#include <string.h>

typedef struct {
	char id_riff[4];
        long len_riff;

	char id_chuck[4];
	char fmt[4];
	long len_chuck;

	int  type;
	int  channels;
	long freq;
	long bytes;
	int  align;
	int  bits;

	char id_data[4];
	long len_data;
} TitleWave;


void    main
	( int argc, char * argv[] )
{
FILE * f;
TitleWave tw;

if ( argc<2 ) { printf("  .wav 䠩\n"); return ; }
f=fopen(argv[1],"rb");
if ( f==0 ) { printf("  䠩 - %s\n",argv[1]); return; }
fread(&tw,sizeof(TitleWave),1,f);
fclose(f);
printf("LEN RIFF\t - %ld\n", tw.len_riff );
if ( strncmp(tw.id_riff,"RIFF",4)!=0 )
	printf(" ᮢ 䨪 RIFF\n");
printf("LEN Chuck\t - %ld\n", tw.len_chuck );
if ( strncmp(tw.id_chuck,"WAVE",4)!=0 )
	printf(" ᮢ 䨪 CHUCK\n");
if ( strncmp(tw.fmt,"fmt ",4)!=0 )
	printf(" ᮢ 䨪 FMT\n");
printf("Type\t\t - %d\n", tw.type );
printf("Channels\t - %d\n", tw.channels );
printf("Sample Per Sec\t - %d\n", tw.freq );
printf("Bytes Per Sec\t - %d\n", tw.bytes );
printf("Bits\t\t - %d\n", tw.bits );
printf("Aligned\t\t - %d\n", tw.align );
printf("LEN Data\t - %ld\n", tw.len_data );
if ( strncmp(tw.id_data,"data",4)!=0 )
	printf(" ᮢ 䨪 DATA\n");


}
